Sublime 3&Emmet

loading...


0

这可能看起来像一个愚蠢的问题,但我已经浏览了文档,似乎无法让它工作 . 即时通讯使用Windows 8,我已经将emmet安装到我的sublime文本3,检查控制台,它似乎安装正常,“Emmet:无需更新PyV8” .

尝试使用命令html:5和ul> li * 5按Tab键和我能想到的其他每个键,alt,ctrl tab等但我不能让它扩展 .

我错过了什么吗?安装问题或我使用错误的快捷方式?

任何帮助将不胜感激 . 感谢大家 .

2回答

  • 1

    Emmet安装不正确 . 试试这个...使用Sublime Text 3083,最新的emmet和Pyv8二进制文件以及Python 3.3.0(它也应该与最新的Python一起使用)

    • 如果你还没有安装Python和Sublime! ;)

    • 在github下载emmet-sublime-master.zip . 忘记包裹控制!实际上,如果您通过Package Control安装了emmet,则将其删除 .

    • 转到:c:\ Users-your user- \ AppData \ Roaming \ Sublime Text 3 \ Packages \

    • 创建'Emmet'文件夹,尊重上限 .

    • 解压缩Emmet文件夹中的emmet-sublime-master.zip .

    • 在github下载你的pyv8二进制文件 .

    • 创建'PyV8'文件夹(Emmet文件夹外,c:\ Users-您的用户 - \ AppData \ Roaming \ Sublime Text 3 \ Packages) .

    • 在PyV8内部创建一个文件夹,其名称与您刚刚下载的pyv8二进制文件完全相同(例如:pyv8-win64-p3)

    • 在那里解压缩二进制文件 .

    • 重新启动Sublime Text 3 .

    它应该工作!


  • 0

    它总是在你发布一个你修复它的问题之后 . 无论如何命令是ctrl e包管理器即使在重新启动后也没有显示任何emmet命令,但它现在似乎在做,所以问题解决了 . 为创建线程道歉 . 希望它对于环顾四周的人至少有用 .

loading...

评论

暂时没有评论!